Re: ST_Segmentize geography go back to old 2.2 behavior

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Re: ST_Segmentize geography go back to old 2.2 behavior

Mike Taves
On 23 September 2017 at 02:22, Regina Obe <[hidden email]> wrote:
> I like that idea except that would require proj 4.9 or above which is not required at least for 2.4.
>
> I'm okay with living with this bug for 2.4, and maybe in PostGIS 2.5 we rewrite it and make Proj 4.9 a minimum requirement.

There's already a PROJ_GEODESIC define used to compile code on Proj
4.9 support. So Proj 4.9 doesn't necessarily need to be a minimum
requirement. With PROJ_GEODESIC would use new (and unwritten) code,
and without would use 2.2 or 2.3 behavior.

You can also see PROJ_GEODESIC in liblwgeom/cunit/cu_geodetic.c to
test results depending on the Proj library.

Cheers, Mike
_______________________________________________
postgis-devel mailing list
[hidden email]
https://lists.osgeo.org/mailman/listinfo/postgis-devel